function res = do_Tripod_sign(pos, do_Tripod,R, RP)

%%%%%computes the sign of the double tripod!

rp1_pos = do_Tripod(pos,1);

if rp1_pos <= 0
    rp1 = rectangle_pair_flip(RP(abs(rp1_pos),:));
else
    rp1 = RP(abs(rp1_pos),:);
end

%%%%rectangle pairs flipped accordingly.

%%%%%now: I wish to find the sign of the first part of the rectangle 1 


%%%%%the rectangle I'm interested in is the first in the first rectangle pair:
%%%%%and the second in the second rectangle pair.
r11_interested_pos = rp1(1);
s11_interested = rp1(2);


if s11_interested <= 0
    r11 = rectangle_pair_flip(R(r11_interested_pos,:)); %%%%flip the rectangle (it's the same
    %%%%%flipping as for rectangle pairs)
else
    r11 = R(r11_interested_pos,:);
end


%%%%%finally I have the rectangles r11 and r21 up to the sign in which I
%%%%%need them. The determining sign is the one on the right hand side:

res = r11(2);


end