function t= following_rectangle(r1, o_r1, r2, o_r2, wordlength)
%%%Checks if one rectangle $r_1$ with orientation o_r1 follows the
%%%rectangle r_2 with orientation o_r2.

%%%Encoding of rectangle: Read of the sides counterclockwise.
%%%Polygons: if one rectangle is following another one then put it
%%%clockwise next to each other.

%%%First: Flip Rectangles so that they have the correct orientation.
if o_r1 == 1
    r1_temp = r1;
else
    r1_temp = rectangle_flip(r1);
end

if o_r2 == 1
    r2_temp = r2;
else
    r2_temp = rectangle_flip(r2);
end

    t = 0;
        if(r1_temp(2)==1)
        %%%Check if next letter and sign agrees!
        if(mod(r1_temp(1)+1,wordlength)==mod(r2_temp(3),wordlength) && r1_temp(2) == r2_temp(4)) 
            t = 1;
        end
      elseif(r1_temp(2)==-1)
    if(mod(r1_temp(1)-1,wordlength)==mod(r2_temp(3),wordlength) && r1_temp(2) == r2_temp(4)) 
        t = 1;
    end
        end


end
    

    




%%%%%%%FLIP FUNCTION: Flips the orientation of a rectangle.
function r_flip = rectangle_flip(rectangle)
%%%Flips a rectangle
r_flip(1) = rectangle(3);
r_flip(2) = rectangle(4);
r_flip(3) = rectangle(1);
r_flip(4) = rectangle(2);
end